Draft OCA/de: Difference between revisions

From FreeCAD Documentation
(Created page with "==Scripting== {{Emphasis|Siehe auch:}} Draft API und FreeCAD Grundlagen Skripte.")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>

<div class="mw-translate-fuzzy">
{{Docnav/de
{{Docnav/de
|[[Draft_SVG/de|SVG]]
|[[Draft_SVG/de|SVG]]
Line 6: Line 8:
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
}}
}}
</div>


{{GuiCommand/de
{{GuiCommand/de
Line 65: Line 68:
}}
}}



{{docnav|[[Draft_SVG|SVG]]|[[Draft_DAT|Airfoil Data Format .DAT]]|[[Draft_Module|Draft Module]]|IconC=Workbench_Draft.svg}}
{{Docnav
|[[Draft_SVG|SVG]]
|[[Draft_DAT|Airfoil Data Format .DAT]]
|[[Draft_Module|Draft Module]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}


{{Draft Tools navi{{#translation:}}}}
{{Draft Tools navi{{#translation:}}}}

Revision as of 20:55, 11 February 2021

Entwurf OCA

Menüeintrag
-
Arbeitsbereich
Entwurf
Standardtastenkürzel
-
Eingeführt in Version
-
Siehe auch
-

Beschreibung

Draft OCA is a software module used by the Std Open, Std Import and Std Export commands to handle the OCA file format.

The OCA file format is community effort to create a free, simple and open CAD file format. OCA is largely based on the GCAD file format generated from gCAD3D. Both formats can be imported in FreeCAD, and the OCA files exported by FreeCAD can be opened in gCAD3D.

Importieren

The following OCA objects can be imported:

  • Lines
  • Arcs and Circles
  • Closed areas

Exportieren

The following FreeCAD objects can be exported:

  • Lines and wires (polylines)
  • Arcs and circles
  • Faces

Einstellungen

For more information see: Import Export Preferences.

Scripting

Siehe auch: Draft API und FreeCAD Grundlagen Skripte.

You can export elements to OCA by using the following function:

importOCA.export(exportList, filename)

Example:

import FreeCAD, Draft, importOCA

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2200, 1500, 0)
p4 = FreeCAD.Vector(2500, -100, 0)

obj1 = Draft.makeWire([p1, p2, p3, p4])
obj2 = Draft.makeWire([p1, -2.3*p2, -0.8*p3, -1.8*p4])

objects = [obj1, obj2]

importOCA.export(objects, "/home/user/Pictures/myfile.oca")